com.google.cloud.spanner.jdbc

## Class JsonType

- java.lang.Object
- - com.google.cloud.spanner.jdbc.JsonType

All Implemented Interfaces:
  SQLType

    public class JsonType
    extends Object
    implements SQLType

Custom SQL type for Spanner JSON data type. This type (or the vendor type number) must be used when setting a JSON parameter using `PreparedStatement.setObject(int, Object, SQLType)`.

### Field Summary

Fields
`static JsonType` `INSTANCE`
`static int` `VENDOR_TYPE_NUMBER` Spanner does not have any type numbers, but the code values are unique.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getVendor()`
`Integer` `getVendorTypeNumber()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final JsonType INSTANCE

#### VENDOR_TYPE_NUMBER

    public static final int VENDOR_TYPE_NUMBER

Spanner does not have any type numbers, but the code values are unique. Add 100,000 to avoid conflicts with the type numbers in java.sql.Types.

See Also:
  Constant Field Values

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `SQLType`

#### getVendor

    public String getVendor()

Specified by:
  `getVendor` in interface `SQLType`

#### getVendorTypeNumber

    public Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `SQLType`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`